Hexagon Geospatial
MENU

GeoMedia Smart Client

GeoMedia Smart Client community discussion board is where you can create, contribute and share information and knowledge in regards to configuring as well as working with GeoMedia Smart Client. Find your answers, share your knowledge and help build a strong GeoMedia Smart Client community.
Showing results for 
Search instead for 
Do you mean 
Reply
Regular Contributor
Posts: 170
Registered: ‎07-07-2016
Accepted Solution

GMSC 6.4.14.8 - language pack cause application error

Hi,

I've installed GMSC 16.4.14.8 version and I have a problem with using polish language pack. I've downloaded last language pack LANG_GMSC_16.1.0.0_pl_20161221175.jar.pack.gz file and I've copied it to C:\Program Files\Intergraph\GeoMedia SmartClient\Program\jars\resources\ folder. (The same procedure worked in GMSC 2016 SP3 version)

But while running java applet an error appears: 'Unable to launch the application'. What's wrong with the language pack file?

 

Below is the full error log:

JNLPException[category: Launch File Error : Exception: null : LaunchDesc:
<jnlp spec="7.0+" codebase="http://war-hsiv-kzgw/GMSC/">
<information>
<title>GeoMedia Smart Client [GMSC]</title>
<vendor>Hexagon Geospatial</vendor>
<homepage href="http://hexagongeospatial.com"/>
<description>GeoMedia Smart Client</description>
<description kind="tooltip">GeoMedia Smart Client</description>
<offline-allowed/>
<shortcut online="true">
<menu submenu="GeoMedia Smart Client"/>
</shortcut>
</information>
<security>
<all-permissions/>
</security>
<update check="timeout"/>
<resources os="Windows" arch="amd64">
<nativelib href="jars/nativelib/Windows/amd64/ecwjp2-jni-5.3.0.1298-natives-win64.jar"/>
<nativelib href="jars/nativelib/Windows/amd64/rxtx-comm-natives-windows-i564.jar"/>
</resources>
<resources os="Windows" arch="x86">
<nativelib href="jars/nativelib/Windows/x86/ecwjp2-jni-5.3.0.1298-natives-win32.jar"/>
<nativelib href="jars/nativelib/Windows/x86/rxtx-comm-natives-windows-i586.jar"/>
</resources>
<resources os="Linux" arch="amd64">
<nativelib href="jars/nativelib/Linux/amd64/ecwjp2-jni-5.3.0.1298-natives-linux64.jar"/>
</resources>
<resources os="Linux" arch="i386">
<nativelib href="jars/nativelib/Linux/i386/ecwjp2-jini-5.3.0.1298-natives-linux32.jar"/>
</resources>
<resources os="Mac OS X" arch="x86_64">
<nativelib href="jars/nativelib/Mac_OS_X/x86_64/ecwjp2-jni-5.3.0.1298-natives-osx.jar"/>
</resources>
<resources>
<jar href="jars/CoreServices.jar"/>
<jar href="jars/CustomSymbolizer.jar"/>
<jar href="jars/DefaultPlugins.jar"/>
<jar href="jars/GPSDevices.jar"/>
<jar href="jars/Loader.jar"/>
<jar href="jars/OfflineDataSupport.jar"/>
<jar href="jars/Printing.jar"/>
<jar href="jars/SmartClient.jar"/>
<jar href="jars/Viewer.jar"/>
<jar href="jars/XMLAutomate.jar"/>
<jar href="jars/lib/Common.jar"/>
<jar href="jars/lib/Apollo/cots-api-base.jar"/>
<jar href="jars/lib/Apollo/cots-api-log.jar"/>
<jar href="jars/lib/Apollo/cots-binary.jar"/>
<jar href="jars/lib/Apollo/cots-core.jar"/>
<jar href="jars/lib/Apollo/cots-geom.jar"/>
<jar href="jars/lib/Apollo/cots-license.jar"/>
<jar href="jars/lib/Apollo/cots-resource.jar"/>
<jar href="jars/lib/Apollo/cots-srs.jar"/>
<jar href="jars/lib/Apollo/cots-util.jar"/>
<jar href="jars/lib/Apollo/cots-wfs-units.jar"/>
<jar href="jars/lib/Apollo/cots-xml.jar"/>
<jar href="jars/lib/Apollo/log4j.jar"/>
<jar href="jars/lib/Apollo/slf4j-api.jar"/>
<jar href="jars/lib/Apollo/slf4j-log4j.jar"/>
<jar href="jars/lib/Batik/batik-anim.jar"/>
<jar href="jars/lib/Batik/batik-awt-util.jar"/>
<jar href="jars/lib/Batik/batik-bridge.jar"/>
<jar href="jars/lib/Batik/batik-codec.jar"/>
<jar href="jars/lib/Batik/batik-css.jar"/>
<jar href="jars/lib/Batik/batik-dom.jar"/>
<jar href="jars/lib/Batik/batik-ext.jar"/>
<jar href="jars/lib/Batik/batik-gui-util.jar"/>
<jar href="jars/lib/Batik/batik-gvt.jar"/>
<jar href="jars/lib/Batik/batik-parser.jar"/>
<jar href="jars/lib/Batik/batik-script.jar"/>
<jar href="jars/lib/Batik/batik-svg-dom.jar"/>
<jar href="jars/lib/Batik/batik-svggen.jar"/>
<jar href="jars/lib/Batik/batik-transcoder.jar"/>
<jar href="jars/lib/Batik/batik-util.jar"/>
<jar href="jars/lib/Batik/batik-xml.jar"/>
<jar href="jars/lib/Batik/js.jar"/>
<jar href="jars/lib/Batik/pdf-transcoder.jar"/>
<jar href="jars/lib/Batik/serializer.jar"/>
<jar href="jars/lib/Batik/xalan.jar"/>
<jar href="jars/lib/Batik/xercesImpl.jar"/>
<jar href="jars/lib/Batik/xml-apis-ext.jar"/>
<jar href="jars/lib/Batik/xml-apis.jar"/>
<jar href="jars/lib/BridJ/bridj-0.6.2-windows-only.jar"/>
<jar href="jars/lib/Guava/guava-19.0.jar"/>
<jar href="jars/lib/H2Database/h2-database.jar"/>
<jar href="jars/lib/IWS/ecwjp2-jni-5.3.0.1125.jar"/>
<jar href="jars/lib/IWS/ecwjp2-jni-5.3.0.1298.jar"/>
<jar href="jars/lib/OGC_SE/filter-v_1_1_0-schema.jar"/>
<jar href="jars/lib/OGC_SE/gml-v_3_1_1-2.2.0.jar"/>
<jar href="jars/lib/OGC_SE/jaxb2-basics-runtime.jar"/>
<jar href="jars/lib/OGC_SE/jaxb2-basics.jar"/>
<jar href="jars/lib/OGC_SE/se-v_1_1_0-schema.jar"/>
<jar href="jars/lib/OGC_SE/xlink-v_1_0-1.1.1.jar"/>
<jar href="jars/lib/OGC_WFS/filter-v_2_0-2.2.0.jar"/>
<jar href="jars/lib/OGC_WFS/ows-v_1_0_0-schema-1.0.0.jar"/>
<jar href="jars/lib/OGC_WFS/wfs-v_1_1_0-2.2.0.jar"/>
<jar href="jars/lib/OGC_WFS/wfs-v_2_0-2.2.0.jar"/>
<jar href="jars/lib/OGC_WMS/wms-v_1_0_0-schema-1.1.0.M1.jar"/>
<jar href="jars/lib/OGC_WMS/wms-v_1_1_0-schema-1.1.0.M1.jar"/>
<jar href="jars/lib/OGC_WMS/wms-v_1_1_1-schema-1.1.0.M1.jar"/>
<jar href="jars/lib/OGC_WMS/wms-v_1_3_0-schema-1.1.0.M1.jar"/>
<jar href="jars/lib/OGC_WMTS/gml-v_3_1_1-schema.jar"/>
<jar href="jars/lib/OGC_WMTS/ows-v_1_1_0-schema.jar"/>
<jar href="jars/lib/OGC_WMTS/wmts-v_1_0_0-schema.jar"/>
<jar href="jars/lib/RXTX/RXTXcomm.jar"/>
<jar href="jars/lib/StyleEditor/StyleEditor.jar"/>
<jar href="jars/lib/Swing_Layout/miglayout-swing.jar"/>
<jar href="jars/resources/LANG_GMSC_16.1.0.0_pl_20161221175.jar"/>
</resources>
<resources arch="x86 i386">
<java version="1.8*" href="http://java.sun.com/products/autodl/j2se" java-vm-args="-Dsun.java2d.d3d=false" max-heap-size="640m"/>
</resources>
<resources>
<property name="jnlp.packEnabled" value="true"/>
<java version="1.8*" href="http://java.sun.com/products/autodl/j2se" java-vm-args="-Dsun.java2d.d3d=false" max-heap-size="1024m"/>
</resources>
<application-desc main-class="com.intergraph.web.SmartClient">
<argument>site=GMSC</argument>
</application-desc>
</jnlp> ]
at com.sun.javaws.security.JNLPSignedResourcesHelper.checkSignedResourcesHelper(Unknown Source)
at com.sun.javaws.security.JNLPSignedResourcesHelper.checkSignedResources(Unknown Source)
at com.sun.javaws.Launcher.prepareResources(Unknown Source)
at com.sun.javaws.Launcher.prepareAllResources(Unknown Source)
at com.sun.javaws.Launcher.prepareToLaunch(Unknown Source)
at com.sun.javaws.Launcher.prepareToLaunch(Unknown Source)
at com.sun.javaws.Launcher.launch(Unknown Source)
at com.sun.javaws.Main.launchApp(Unknown Source)
at com.sun.javaws.Main.continueInSecureThread(Unknown Source)
at com.sun.javaws.Main.access$000(Unknown Source)
at com.sun.javaws.Main$1.run(Unknown Source)
at java.lang.Thread.run(Unknown Source)

 

 

 

 

 

Staff
Posts: 1,036
Registered: ‎10-18-2015

Re: GMSC 6.4.14.8 - language pack cause application error

Hi,

 

have you recompiled the package in the Language Admin app before downloading?

 

Stefano

Stefano Turcato
Presale Engineer
Hexagon Geospatial
Regular Contributor
Posts: 170
Registered: ‎07-07-2016

Re: GMSC 6.4.14.8 - language pack cause application error

[ Edited ]

After pressing 'Generate new language pack' button on http://smartclient.intergraph.at/I18N and downloading new version of language pack, application runs succesfully. Now the problem is that all geometry data is not appearing on the map. It looks like there's a problem in casting integer to text...

 

Map log: 

2.10.2018 13:48:34 ERROR - Unexpected exception for incoming MapRequest: /GMSC/Maps/Map?layers=101&xMin=-68170.87190416653&yMin=130000.06897500006&xMax=1098170.8719041664&yMax=779999.9310249999&resX=1658&resY=924&site=GMSC&sessionId=bc4e2832-ba4d-46d1-a83e-17e96e7f5bbd
Npgsql.PostgresException: 42883: operator nie istnieje: integer = text
[Data]
Severity: BŁĄD
SqlState: 42883
Code: 42883
MessageText: operator nie istnieje: integer = text
Hint: Brak operatora pasującego do podanej nazwy i typu(ów) argumentów. Być może należy dodać jawne rzutowanie typów.
Position: 181
File: parse_oper.c
Line: 728
Routine: op_error
at Npgsql.NpgsqlConnector.DoReadMessage(DataRowLoadingMode dataRowLoadingMode, Boolean isPrependedMessage)
at Npgsql.NpgsqlConnector.ReadMessageWithPrepended(DataRowLoadingMode dataRowLoadingMode)
at Npgsql.NpgsqlConnector.ReadExpecting[T]()
at Npgsql.NpgsqlDataReader.NextResultInternal()
at Npgsql.NpgsqlDataReader.NextResult()
at Npgsql.NpgsqlCommand.Execute(CommandBehavior behavior)
at Npgsql.NpgsqlCommand.ExecuteDbDataReaderInternal(CommandBehavior behavior)
at Intergraph.Emea.Security.SessionProvider.GetSmartClientSessionFilter(String[] featureIdentifiers, String sessionId)
at Intergraph.Emea.Maps.MapServer.EnableSession(String[] mapLayers, String sessionId, String site)
at Intergraph.Emea.Maps.Services.MapController.<Map>d__4.MoveNext()

 

PostgreSQL log:

2018-10-02 13:48:34.723 CEST [4244] gmsc gmsc 127.0.0.1(54171) 42883BŁĄD: operator nie istnieje: integer = text przy znaku 181
2018-10-02 13:48:34.723 CEST [4244] gmsc gmsc 127.0.0.1(54171) 42883PODPOWIEDŹ: Brak operatora pasującego do podanej nazwy i typu(ów) argumentów. Być może należy dodać jawne rzutowanie typów.
2018-10-02 13:48:34.723 CEST [4244] gmsc gmsc 127.0.0.1(54171) 42883WYRAŻENIE: Select s.FILTER, f.SIMPLEID As FEATUREID From RPI_SESSIONFILTER s, RPI_FEATURE f, RPI_SESSIONFILTER_FEATURE sf Where f.ID=sf.FEATURE_ID And s.ID=sf.SESSIONFILTER_ID And f.SIMPLEID In($1)
2018-10-02 13:48:53.694 CEST [4956] gmsc gmsc 127.0.0.1(53784) 00000DZIENNIK: czas trwania: 0.154 ms wyraĹĽenie: DISCARD ALL
2018-10-02 13:48:53.695 CEST [4956] gmsc gmsc 127.0.0.1(53784) 00000DZIENNIK: czas trwania: 0.206 ms parsowanie <unnamed>: Select po.ID, po.NAME, po.OWNER, po.PUBLISHINTERVAL, po.PUBLISHSTARTDATE, pf.FEATURE_ID From RPI_PUBLISHORDER po Inner Join RPI_PUBLISHORDER_FEATURE pf On po.ID=pf.PUBLISHORDER_ID Where ((po.OWNER IS NULL And (po.PUBLISHSTATE=$1 And (po.PUBLISHSTARTDATE Is NULL Or po.PUBLISHSTARTDATE<$2))) Or po.PUBLISHSTATE=$3) Order By PUBLISHSTARTDATE ASC
2018-10-02 13:48:53.695 CEST [4956] gmsc gmsc 127.0.0.1(53784) 00000DZIENNIK: czas trwania: 0.307 ms dowiÄ…zanie <unnamed>: Select po.ID, po.NAME, po.OWNER, po.PUBLISHINTERVAL, po.PUBLISHSTARTDATE, pf.FEATURE_ID From RPI_PUBLISHORDER po Inner Join RPI_PUBLISHORDER_FEATURE pf On po.ID=pf.PUBLISHORDER_ID Where ((po.OWNER IS NULL And (po.PUBLISHSTATE=$1 And (po.PUBLISHSTARTDATE Is NULL Or po.PUBLISHSTARTDATE<$2))) Or po.PUBLISHSTATE=$3) Order By PUBLISHSTARTDATE ASC
2018-10-02 13:48:53.695 CEST [4956] gmsc gmsc 127.0.0.1(53784) 00000SZCZEGÓŁY: parametry: $1 = '0', $2 = '2018-10-02 13:48:53.69382', $3 = '16'
2018-10-02 13:48:53.695 CEST [4956] gmsc gmsc 127.0.0.1(53784) 00000DZIENNIK: czas trwania: 0.038 ms wykonanie <unnamed>: Select po.ID, po.NAME, po.OWNER, po.PUBLISHINTERVAL, po.PUBLISHSTARTDATE, pf.FEATURE_ID From RPI_PUBLISHORDER po Inner Join RPI_PUBLISHORDER_FEATURE pf On po.ID=pf.PUBLISHORDER_ID Where ((po.OWNER IS NULL And (po.PUBLISHSTATE=$1 And (po.PUBLISHSTARTDATE Is NULL Or po.PUBLISHSTARTDATE<$2))) Or po.PUBLISHSTATE=$3) Order By PUBLISHSTARTDATE ASC
2018-10-02 13:48:53.695 CEST [4956] gmsc gmsc 127.0.0.1(53784) 00000SZCZEGÓŁY: parametry: $1 = '0', $2 = '2018-10-02 13:48:53.69382', $3 = '16'

Staff
Posts: 609
Registered: ‎11-12-2015

Re: GMSC 6.4.14.8 - language pack cause application error

Hi mzebrows,

 

It is unlikely that this geometry display issue is related to applying this language pack.

For which version of GMSC and Postgres are you using in this case?

Staff
Posts: 1,036
Registered: ‎10-18-2015

Re: GMSC 6.4.14.8 - language pack cause application error

this error has nothing to do with the language pack. please check feature settings in administrator.

Stefano Turcato
Presale Engineer
Hexagon Geospatial
Regular Contributor
Posts: 170
Registered: ‎07-07-2016

Re: GMSC 6.4.14.8 - language pack cause application error

[ Edited ]

I've tried to add new feature, but the error message is the same.

Moreover, I've noticeed that error with integer = text conversion appears also on some workflow sql queries, which are working properly on GMSC2016 SP3.

 

The problem is with PostgreSQL 10.1 and GMSC 16.4.14.8.

When I uninstall GMSC 16.4.14.8. and return back to GMSC 16.03.0000.00032 version, all works fine.

What can be the reason?

Highlighted
Regular Contributor
Posts: 170
Registered: ‎07-07-2016

Re: GMSC 6.4.14.8 - language pack cause application error

[ Edited ]

I've tried to migrate my project to SP4 once again and it works now.

For all those, who will be migrating project from GMSC SP3 to GMSC SP4 (on PostgGIS database):

There're many changes in GMSC SP4 related to recognizing of number fields. If you have integer field on your form, than it's important to change form field type into "number".

There's also another change. When you use {SESSION.id} or {REQUESTCONTEXT.id} in sql of your SqlTrigger, and you want it to be an integer, than you must convert it i.e. CAST({SESSION.id} AS INTEGER)

And the most important thing: If your map does not appear, probably the problem can be that you have SessionFilterActivated set to 1 on your registry.

Do you need immediate support?
If you encounter a critical issue and need immediate assistance please submit a Service Request through our Support Portal.